#ifndef __DSP_SYS_PTS_H_
#define __DSP_SYS_PTS_H_

#include <stdint.h>

#define DSP_PTS_IOVA 0xfffb1000
#define PTS_CHAN 7
#define PTS_END_CYCLE (*(uint32_t *)(DSP_PTS_IOVA + 0x00 + PTS_CHAN * 0x14))
#define PTS_START_CYCLE (*(uint32_t *)(DSP_PTS_IOVA + 0x04 + PTS_CHAN * 0x14))

static inline uint32_t es_sys_getcurcnt(void) { return (PTS_END_CYCLE - PTS_START_CYCLE); }

#endif
