// Copyright © 2023 ESWIN. All rights reserved.
//
// Beijing ESWIN Computing Technology Co., Ltd and its affiliated companies ("ESWIN") retain
// all intellectual property and proprietary rights in and to this software. Except as expressly
// authorized by ESWIN, no part of the software may be released, copied, distributed, reproduced,
// modified, adapted, translated, or created derivative work of, in whole or in part.

#ifndef DSP_SDK_V1_0_0_BEV_POOL_H
#define DSP_SDK_V1_0_0_BEV_POOL_H

// Configure user-defined operators            (user-defined)
typedef struct {
    int32_t nbev;
    int32_t bev_off;
    int32_t n;
    int32_t h;
    int32_t w;
    int32_t c;
    int32_t d;
    int32_t bev_h;
    int32_t bev_w;
    int32_t requant_aux;
    int32_t requant_shift;
} BEV_POOL_CONFIG_S;

#endif  // DSP_SDK_V1_0_0_BEV_POOL_H
